Bug 504477 - Review Request: rubygem-launchy - Helper class for cross-platform launching of applications
Summary: Review Request: rubygem-launchy - Helper class for cross-platform launching o...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Ingeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 504480
Blocks: 504472
TreeView+ depends on / blocked
 
Reported: 2009-06-07 11:45 UTC by Lubomir Rintel
Modified: 2014-08-06 18:41 UTC (History)
6 users (show)

Fixed In Version: 0.3.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 19:44:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfojtik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2009-06-07 11:45:05 UTC
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-launchy.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-launchy-0.3.3-1.fc11.src.rpm

Description:

Launchy is helper class for launching cross-platform applications in a fire
and forget manner.  There are application concepts (browser, email client,
etc) that are common across all platforms, and they may be launched
differently on each platform.  Launchy is here to make a common approach to
launching external application from within ruby programs.

Comment 3 Michal Ingeli 2009-07-16 15:45:46 UTC
* builds in mock
* rpmlint silent
* source matches upstream
* naming OK
* clean spec file, american english
* naming OK
* file list, doc list OK
* provides/requires OK

- fix license, should be BSD [1]

Note that provided spec file and srpm spec file differs.

[1] http://copiousfreetime.rubyforge.org/launchy/LICENSE.html

Comment 5 Lubomir Rintel 2010-01-07 14:34:59 UTC
For the sake of review, I agree with all Michal's changes.

Comment 6 Michal Fojtik 2010-01-08 15:26:41 UTC
#  MUST: rpmlint must be run on every package. The output should be posted in the review.

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

# MUST: The package must be named according to the Package Naming Guidelines .

OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

OK

# MUST: The spec file must be written in American English.

OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

http://gems.rubyforge.org/gems

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

OK

# MUST: Header files must be in a -devel package. 

There is no headers.

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 

OK

# MUST: All filenames in rpm packages must be valid UTF-8.

Comment 7 Michal Fojtik 2010-01-08 15:36:32 UTC
Fixed revision number:

SPEC: http://mifo.sk/rubygem-launchy.spec
SRPM: http://mifo.sk/rubygem-launchy-0.3.5-1.fc12.src.rpm

Comment 8 Lubomir Rintel 2010-01-10 16:54:17 UTC
New Package CVS Request
=======================
Package Name: rubygem-launchy
Short Description: Helper class for cross-platform launching of applications
Owners: lkundrak mfojtik
Branches: F-11 F-12 EL-5

Comment 9 Jason Tibbitts 2010-01-12 06:02:03 UTC
CVS done (by process-cvs-requests.py)

Comment 10 Fedora Update System 2010-01-15 18:25:50 UTC
rubygem-launchy-0.3.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-launchy-0.3.5-1.fc12

Comment 11 Fedora Update System 2010-01-19 19:44:39 UTC
rubygem-launchy-0.3.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Michael Stahnke 2010-04-16 21:39:43 UTC
Is there a reason launchy was built for EPEL5 but never pushed into epel5-testing? If you need a com-maintainer, I'd be happy to do it for EPEL.

Comment 13 Lubomir Rintel 2010-04-19 08:59:47 UTC
(In reply to comment #12)
> Is there a reason launchy was built for EPEL5 but never pushed into
> epel5-testing?

More like I had no reason to push it there.

Michael, feel free to add yourself to whichever branches you'd like to maintain:
https://admin.fedoraproject.org/pkgdb/acls/name/rubygem-launchy

Comment 14 Michal Fojtik 2010-08-02 08:25:09 UTC
New Package CVS Request
=======================
Package Name: rubygem-launchy
Short Description: Helper class for cross-platform launching of applications
Owners: lkundrak mfojtik
Branches: F-14 EL-6

Comment 15 Lubomir Rintel 2010-08-02 08:31:52 UTC
New Package CVS Request
=======================
Package Name: rubygem-launchy
Short Description: Helper class for cross-platform launching of applications
Owners: mfojtik
Branches: EL-6

I'm not willing to maintain any ruby gems anymore and F-14 branch was created; fixing the request.

Comment 16 Michael Stahnke 2010-08-02 13:53:36 UTC
New Package CVS Request
=======================
Package Name: rubygem-launchy
Short Description: Helper class for cross-platform launching of applications
Owners: lkundrak mfojtik
Branches: F-14 EL-6 


I am willing to maintain and have taken ownership in pkgdb.  Please ensure all branches are created.

Comment 17 Michael Stahnke 2010-08-02 13:54:39 UTC

New Package CVS Request
=======================
Package Name: rubygem-launchy
Short Description: Helper class for cross-platform launching of applications
Owners: stahnma mfojtik
Branches: F-14 EL-6 


I am willing to maintain and have taken ownership in pkgdb.  Please ensure all
branches are created.    (forgot to change owner in last post)

Comment 18 Kevin Fenzi 2010-08-02 16:28:56 UTC
All branches are there. Please add a package change template if you 
want anything further done.

Comment 19 Troy Dawson 2014-08-06 16:59:13 UTC
Package Change Request
======================
Package Name: rubygem-launchy
New Branches: epel7
Owners: tdawson

Comment 20 Gwyn Ciesla 2014-08-06 18:41:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.